BitBag\SyliusCmsPlugin\Entity\PageTranslation:
    type: mappedSuperclass
    table: bitbag_cms_page_translation
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        slug:
            column: slug
            type: string
            nullable: true
        name:
            column: name
            type: string
            nullable: true
        breadcrumb:
            column: breadcrumb
            type: string
            nullable: true
        nameWhenLinked:
            column: name_when_linked
            type: string
            nullable: true
        descriptionWhenLinked:
            column: description_when_linked
            type: string
            nullable: true
            length: 1000
        metaKeywords:
            column: meta_keywords
            type: string
            nullable: true
            length: 1000
        metaDescription:
            column: meta_description
            type: string
            nullable: true
            length: 5000
        content:
            column: content
            type: text
            nullable: true
        title:
            column: title
            type: string
            nullable: true
    manyToOne:
        image:
            targetEntity: BitBag\SyliusCmsPlugin\Entity\MediaInterface
            cascade: [PERSIST]
